import { Locator } from "playwright-core";
import { Atom } from "../../atom";
export declare enum IconSize {
    small = 0,
    default = 1,
    medium = 2
}
export declare class IconAtom extends Atom {
    static CSS_CLASS: string;
    static iconSize: {
        small: string;
        default: string;
        medium: string;
    };
    getName(): Promise<string | null>;
    getStatus(): Promise<string | null>;
    getCounter(): Promise<string | null>;
    getIconByCssClass(cssClass: string): Locator;
    getSize(): Promise<string>;
}
